<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Customer_Mypage_Member_Forget_Password_Form_Secret
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    
    //component
    var $c_member;
    var $c_secquestion;
    var $actionChain;
    var $auth;
    
    // post
    var $mailaddr;
    
    var $secquestion;
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Customer_Mypage_Member_Forget_Password_Form_Secretが実行されました", "Customer_Mypage_Member_Forget_Password_Form_Secret#execute");

        $errorList =& $this->actionChain->getCurErrorList();

        if( !empty($this->mailaddr) ) {
            $userinfo = $this->c_member->getUserinfoOfMail($this->mailaddr);

            // メールアドレスの会員がない
            if( $userinfo == false ) {
                $errorList -> add(1, "入力されたメールアドレスは登録されていません。");
                return 'input';
            }

            // 秘密の質問取得
            $this->secquestion = $this->c_secquestion->selectAll();

            return 'success';
        }
        return 'input';
    }
}
?>
